Subject: Re: cpsw fails to come up once in a while

From: Sebastian Andrzej Siewior <[email-masked]>
Date: Thu, 15 Aug 2013 12:12:49 +0200

On 08/15/2013 11:59 AM, Mugunthan V N wrote:
> This is a unknown issue. Will arrange a setup to test this scenario and
> fix the issue.

Ah, cool. Once in this state I tried various things but nothing helped.
I tried to reset the HW phy and see if this helped but it ended while I
looking for schematics and I though maybe it is easier to ask first.

One think I noticed in __davinci_mdio_reset() is that
data->access_time is set via usecs_to_jiffies() and then used by
msleep(). Since msleep() expects ms and not jiffies, this is wrong.

> Regards
> Mugunthan V N

Sebastian